E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSsl::Profile Class Referenceabstract

A base interface for profile classes that work with concrete classes derived from GSsl::LibraryImpBase and GSsl::ProtocolImpBase. More...

`#include <gssl.h>`

Inheritance diagram for GSsl::Profile:

## Public Member Functions
virtual | ~Profile ()
| Destructor.
virtual ProtocolImpBase * | newProtocol (const std::string &, const std::string &) const =0
| Factory method for a new Protocol object on the heap.

## Detailed Description

A base interface for profile classes that work with concrete classes derived from GSsl::LibraryImpBase and GSsl::ProtocolImpBase.

Definition at line 392 of file gssl.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl.cpp